uniform float aux;
uniform float aux2;

uniform vec3 center;
uniform vec3 highColor;
uniform vec3 lowColor;
uniform vec3 tendrilColor;
uniform sampler2D cloudsTexture;
uniform float zoom;

// varying vec3 c;
varying vec3 vPosition;
varying vec3 vNormal;
varying vec2 vUv;
varying vec3 e;
varying vec3 n;

void main() {

	float falloff = 0.6;
	float power = abs(pow(dot(-e, n), falloff));
	float dist = length(vPosition - center);
	power *= pow(clamp(1.0 - dist, 0.0, 1.0), 2.5);

	vec4 tex = texture2D(cloudsTexture, vUv);

	vec4 col = vec4(mix(lowColor, highColor, tex.r)*power, 1.0);

	float tendrils = tex.b;
	tendrils = pow(tendrils, 2.5);

	col += vec4(tendrilColor * tendrils, 1.0) * pow(power, 1.4);

	col *= zoom;

	gl_FragColor = col;
}